Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class MetaClassConstructorSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaClassConstructorSite

    class MetaClassConstructorSite
    extends MetaClassSite

Call site for constructor meta class - cached method - not cached

author:
  Alex Tkachman

Field Summary

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`MetaClassConstructorSite(CallSite site, MetaClass metaClass)`

Method Summary
`Object` | `callConstructor(Object receiver, Object[] args)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MetaClassConstructorSite

    public MetaClassConstructorSite(CallSite site, MetaClass metaClass)

Method Detail

### callConstructor

    public Object callConstructor(Object receiver, Object[] args)

Copyright © 2003-2009 The Codehaus. All rights reserved.